%Longitudinal dynamics
v_x0=5%
Engine_moment=175*[0.723
            0.923
            1
            1
            0.997
            0.971
            0.883
            0.749
            0.431
            0.134];
Engine_speed=[966
              2533
              3700
              4383
              4766
              5366
              5750
              6000
              6350
              6900];
 
road_positions=[0
                100
                200
                400
                750
                1000
                1100
                1200];
 road_declination=[0
                   5*pi/180
                   10*pi/180
                   -5*pi/180
                   5*pi/180
                   5*pi/180
                   0
                   0];



%vehicle
L=2.85;
a=1.45;
b=1.4;
hG=0.55;
m=1025+45+40;

%tyre
f0=0.013;
Kk=6.5e-6;
re=0.32;

%aerodynamics
g=9.81;
ro=1.2759;
S=2.4;
Cx=0.34;
Cz=-0.21;

%engine
Me=175;
%ommax=4400/60*2*pi;
%Pemax=Me*ommax;
%P1=Pemax/ommax;
%P2=Pemax/ommax^2;
%P3=-Pemax/ommax^3;
Ie=0.1;

Id=0.0005;
Iw=0.69;

pd=4.85;
etatf=0.8;

pt=	2.76; It=0.12;
%pt=	1.78; It=0.09;
%pt=	1.21; It=0.08;
%pt=	1;    It=0.05;
%pt=	0.88; It=0.04;

